ChangeSet 1.889.379.1, 2003/03/21 12:53:36-08:00, david-b@pacbell.net

[PATCH] usb_connect() kerneldoc

previous text was wrong/confusing, all it does
is pick a number.  this routine should be merged
with usb_new_device() someday, but doing that
would mean changing the hcds (as well as hub.c)
so it's not worth it yet.


 drivers/usb/core/usb.c |   13 +++++--------
 1 files changed, 5 insertions(+), 8 deletions(-)


diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Tue Mar 25 16:47:46 2003
+++ b/drivers/usb/core/usb.c	Tue Mar 25 16:47:46 2003
@@ -866,14 +866,11 @@
 }
 
 /**
- * usb_connect - connects a new device during enumeration (usbcore-internal)
- * @dev: partially enumerated device
- *
- * Connect a new USB device. This basically just initializes
- * the USB device information and sets up the topology - it's
- * up to the low-level driver to reset the port and actually
- * do the setup (the upper levels don't know how to do that).
+ * usb_connect - pick device address (usbcore-internal)
+ * @dev: newly detected device (in DEFAULT state)
  *
+ * Picks a device address.  It's up to the hub (or root hub) driver
+ * to handle and manage enumeration, starting from the DEFAULT state.
  * Only hub drivers (including virtual root hub drivers for host
  * controllers) should ever call this.
  */
@@ -983,7 +980,7 @@
 }
 
 /*
- * By the time we get here, the device has gotten a new device ID
+ * By the time we get here, we chose a new device address
  * and is in the default state. We need to identify the thing and
  * get the ball rolling..
  *
